Summary:	An X Window System falling blocks game
Name:		xtrojka
Version:	1.2.3
Release:	16mdk
License:	Distributable
Group:		Games/Arcade
BuildRequires:	XFree86-devel Xaw3d-devel xpm-devel

Source0:	ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/xtrojka123.tar.bz2
Source1:	xtrojka
Source2:	xtrojka.xpm
Patch:		xtrojka-1.2.3-make.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The xtrojka game is an X Window System game of falling blocks, like Xjewel or
Tetris.

%prep

%setup -q -n xtrojka123
%patch -p1

%build
cp XTrojka.uk XTrojka
./resgen
make CFLAGS="$RPM_OPT_FLAGS -DXPM -DLINUX -DSCOREFILE='\"/var/lib/games/xtrojka.scores\"'"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man6}
mkdir -p $RPM_BUILD_ROOT/var/lib/games

make	TARGET_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man6 \
	HSFILE=$RPM_BUILD_ROOT/var/lib/games/xtrojka.score \
	install
chmod 0666 $RPM_BUILD_ROOT/var/lib/games/xtrojka.score

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_menudir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xtrojka
%{_prefix}/X11R6/man/man6/xtrojka.6*
%{_menudir}/*
%{_localstatedir}/games/xtrojka.score
%{_iconsdir}/*

%changelog
* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.2.3-16mdk
- rebuild

* Tue Mar  6 2001  Daouda Lo <daouda@mandrakesoft.com> 1.2.3-15mdk
- spec cleanup 
- rebuild 

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.3-14mdk
- Fix Title in Menu entry
- Macros
- %%{update_menus} & %%{clean_menus}
- Remove stupid hard coded PATH for icon in menu entry

* Fri Sep 01 2000 Alexis Younes <ayounes@mandrakesoft.com> 1.2.3-13mdk
- Release

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-12mdk
- automatically added BuildRequires

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.2.3-11mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.2.3-10mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 1.2.3-9mdk
- Release.

* Fri Nov 5 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
